complexType "AdditionalFixedPayments"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | interestShortfallReimbursement?, principalShortfallReimbursement?, writedownReimbursement?
</...>

Content Model Elements (3):

  interestShortfallReimbursement, principalShortfallReimbursement, writedownReimbursement

All Direct / Indirect Based Elements (1):

  additionalFixedPayments

Known Usage Locations

- As direct type of elements (1):
  additionalFixedPayments

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdditionalFixedPayments"> <xsd:sequence> <xsd:element minOccurs="0" name="interestShortfallReimbursement" type="xsd:boolean"/> <xsd:element minOccurs="0" name="principalShortfallReimbursement" type="xsd:boolean"/> <xsd:element minOccurs="0" name="writedownReimbursement" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
interestShortfallReimbursement

  Type: | xsd:boolean, predefined, simple content

  An additional Fixed Payment Event. Corresponds to the payment by or on behalf of the Issuer of an actual interest amount in respect to the reference obligation that is greater than the expected interest amount. ISDA 2003 Term: Interest Shortfall Reimbursement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestShortfallReimbursement" type="xsd:boolean"/>

principalShortfallReimbursement

  Type: | xsd:boolean, predefined, simple content

  An additional Fixed Payment Event. Corresponds to the payment by or on behalf of the Issuer of an actual principal amount in respect to the reference obligation that is greater than the expected principal amount. ISDA 2003 Term: Principal Shortfall Reimbursement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalShortfallReimbursement" type="xsd:boolean"/>

writedownReimbursement

  Type: | xsd:boolean, predefined, simple content

  An Additional Fixed Payment. Corresponds to the payment by or on behalf of the issuer of an amount in respect to the reference obligation in reduction of the prior writedowns. ISDA 2003 Term: Writedown Reimbursement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="writedownReimbursement" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.